//
//  MSHighlighterBrush.h
//  MSGraphicsEngineFramework
//
//  Created by Raleigh Ledet on Sat Oct 25 2003.
//  Copyright (c) 2003 MageSW. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MSBrush.h"

extern NSString *kMSBrushAttributeTipDirection;

typedef enum _HighlighterTipDirection
{
	HighlighterTipDirectionVertical = 0,
	HighlighterTipDirectionHorizontal
}HighlighterTipDirection;

@interface MSHighlighterBrush : MSBrush {
	IBOutlet NSView			*attribView;
	IBOutlet NSColorWell	*colorWell;
	IBOutlet id				ctlAlphaAmount;
	IBOutlet id				ctlBrushSize;
	IBOutlet NSPopUpButton  *ctlTipDirection;
	
	NSString *_label;
	NSImage  *_iconImage;
	NSCursor *_cursor;

	NSColor *_brushColor;
	float   _brushSize;
	HighlighterTipDirection _tipDirection;
	
}

-(IBAction)takeBrushSizeFrom:(id)sender;
-(IBAction)takeAlphaFrom:(id)sender;
-(IBAction)takeTipDirectionFromSelectedTag:(id)sender;
-(IBAction)changeColor:(id)sender;

@end
