//
//  MSInkEvents.h
//  MSInkFramework
//
//  Created by Raleigh Ledet on Wed Sep 24 2003.
//  Copyright (c) 2003-2007 Mage Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

// MSInkEvents are a category to NSEvents that add MSInk versions of carbon Ink events to Cocoa.
// Unless you want to link to the Carbon framework and muck with carbon ink events, you should probalby just ignore this file.

@interface NSEvent ( MSInkEvents )
// This method is used internally to turn a carbon ink event into an NSEvent.
+(NSEvent*) MSInkCreateEventWithCarbonRef:(EventRef)inEventRef;

// This is a convience method used internally.
- (void *)MSInkEventRef;

// Returns the gesture kind (See Ink.h, InkGestureKind).
- (UInt32)MSInkGestureKind;

// Returns a Carbon InkTextRef.
- (InkTextRef)MSInkTextRef;

// Returns the bounds of an Ink Gesture Event
- (NSRect)MSInkGestureBounds;

// Returns the host spot of an ink gesture. That is, the point the locaion occured.
- (NSPoint)MSInkGestureHotSpot;

// Returns the number of strokes in an ink text event.
- (UInt32)MSInkTextStrokeCount;
@end
