//
//  MSTextArea.h
//  MSInkFramework
//
//  Created by Raleigh Ledet on Tue Mar 17 2007.
//  Copyright (c) 2003 Mage Software. All rights reserved.
//

#import <AppKit/AppKit.h>

extern NSString *kMSTextArea;
extern NSString *kMSTextAreaDataPboardType;

@interface MSTextArea : NSObject{
@private
	NSAttributedString *_string;
	NSSize _size;
}

- (id)initWithString:(NSString*)str;
- (id)initWithString:(NSString*)str attributes:(NSDictionary*)attrs;
- (id)initWithAttributedString:(NSAttributedString*)str;
- (id)initWithAttributedString:(NSAttributedString*)str size:(NSSize)size;
- (id)initWithData:(NSData*)data;

-(NSAttributedString *)text;
-(void)setText:(NSAttributedString *)text;

-(NSAttributedString *)recognizedAttributeString;
-(NSString *)recognizedString;
-(NSArray *)recognizedStrings;

- (NSSize)size;
- (void)setSize:(NSSize)size;
- (NSData*)data;
- (NSString*)pasteBoardType;
@end
